import Vue from 'vue'
import VueRouter from 'vue-router'
import HomeView from '../views/HomeView.vue'
import userRoutes from '../views/users/router/index.js'
import PostRoutes from '../views/motores/router/index.js'
import PostRoute from '@/views/posts/router'
import vistaUsuario from '../views/users/components/VistaUsuario.vue';
import editarUsuario from '../views/users/components/EditarUser.vue';
import Dashboard from '../views/Dashboard.vue';
import VistaMotores from '../views/motores/VistaMotores.vue';
import editarMotores from '../views/motores/EditarMotores.vue';


Vue.use(VueRouter)

const routes = [
  {
    path: '/vistaUsuario',
    name: 'vistaUsuario',
    component: vistaUsuario,
  },
  {
    path: '/editarUsuario',
    name: 'editarUsuario',
    component: editarUsuario,
  },

  {
    path: '/VistaMotores',
    name: 'VistaMotores',
    component: VistaMotores,
  },

  {
    path: '/ditarMotoreS',
    name: 'editarMotores',
    component: editarMotores,
  },


  {
    path: '/Dashboard',
    name: 'Dashboard',
    component: Dashboard,
  },

  {
    path: '/',
    name: 'home',
    component: HomeView,
  },
  ...userRoutes,
  ...PostRoutes,
  ...PostRoute
];

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
